Project/src/beans/BuyDataBeans.java
package beans;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

public class BuyDataBeans implements Serializable {
	private int id;
	private int userId;
	private int totalPrice;
	private int deliveryMethodId;
	private Date buyDate;

	private String deliveryMethodName;
	private int deliveryMethodPrice;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public int getTotalPrice() {
		return totalPrice;
	}

	public void setTotalPrice(int totalPrice) {
		this.totalPrice = totalPrice;
	}

	public int getDeliveryMethodId() {
		return deliveryMethodId;
	}

	public void setDeliveryMethodId(int deliveryMethodId) {
		this.deliveryMethodId = deliveryMethodId;
	}

	public Date getBuyDate() {
		return buyDate;
	}

	public void setBuyDate(Date buyDate) {
		this.buyDate = buyDate;
	}

	public String getDeliveryMethodName() {
		return deliveryMethodName;
	}

	public void setDeliveryMethodName(String deliveryMethodName) {
		this.deliveryMethodName = deliveryMethodName;
	}

	public String getFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日HH時mm分");
		return sdf.format(buyDate);
	}

	public String getFormatTotalPrice() {
		return String.format("%,d", (int) (this.totalPrice * 1.10));
	}

	public int getDeliveryMethodPrice() {
		return deliveryMethodPrice;
	}

	public void setDeliveryMethodPrice(int deliveryMethodPrice) {
		this.deliveryMethodPrice = deliveryMethodPrice;
	}

	public String getIncludeDeliveryMethodPrice() {
		return String.format("%,d", (int) (this.deliveryMethodPrice * 1.10));
	}

}

Project/src/beans/ItemDataBeans.java
package beans;

import java.io.Serializable;
import java.util.Date;

public class ItemDataBeans implements Serializable {
	private int id;
	private String name;
	private String spec;
	private int price;
	private Date createDate;
	private Date updateDate;
	private String fileName;
	private int burandId;
	private String burandName;
	private String detail;

	//全ての商品情報を取得するためのコンストラクタ
	public ItemDataBeans(int id, String name, String spec, int price, Date createDate, Date updateDate, String fileName,
			int burandId, String burandName) {
		this.id = id;
		this.name = name;
		this.spec = spec;
		this.price = price;
		this.createDate = createDate;
		this.updateDate = updateDate;
		this.fileName = fileName;
		this.burandId = burandId;
		this.burandName = burandName;

	}

	//商品詳細のコンストラクタ
	public ItemDataBeans(int id, String name, String burandName, String detail, String spec, int price,
			Date createDate, Date updateDate) {
		this.id = id;
		this.name = name;
		this.burandName = burandName;
		this.detail = detail;
		this.spec = spec;
		this.price = price;
		this.createDate = createDate;
		this.updateDate = updateDate;
	}

	public ItemDataBeans() {

	}

	public ItemDataBeans(int id, String name, String burandName, String detail, String spec, int price,
			Date createDate, Date updateDate, String fileName) {
		this.id = id;
		this.name = name;
		this.burandName = burandName;
		this.detail = detail;
		this.spec = spec;
		this.price = price;
		this.createDate = createDate;
		this.updateDate = updateDate;
		this.fileName = fileName;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public int getPrice() {
		return price;
	}

	public void setPrice(int price) {
		this.price = price;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public int getBurandId() {
		return burandId;
	}

	public void setBurandId(int burandId) {
		this.burandId = burandId;
	}

	public String getBurandName() {
		return burandName;
	}

	public void setBurandName(String burandName) {
		this.burandName = burandName;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public String getFormatPrice() {
		return String.format("%,d", this.price);
	}

	public String getIncludePrice() {
		return  String.format("%,d",(int)(this.price * 1.10));
	}

}

Project/src/ec/HomeServlet.java
package ec;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.ItemDataBeans;
import dao.EcItemDAO;

/**
 * Servlet implementation class HomeServlet
 */
@WebServlet("/HomeServlet")
public class HomeServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public HomeServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession session = request.getSession();
		try {

			//商品情報を取得
			ArrayList<ItemDataBeans> itemList = EcItemDAO.getRandItem(8);

			//リクエストスコープにセット
			request.setAttribute("itemList", itemList);

			//セッションにsearchWordが入っていたら破棄する
			String searchWord = (String) session.getAttribute("searchWord");
			if (searchWord != null) {
				session.removeAttribute("searchWord");
			}

			//閲覧履歴を取得
			ArrayList<ItemDataBeans> browsing = (ArrayList<ItemDataBeans>) session.getAttribute("browsing");

			//セッション閲覧履歴がない場合閲覧履歴を作成
			if (browsing == null) {
				browsing = new ArrayList<ItemDataBeans>();
				session.setAttribute("detail", browsing);
			}

			request.getRequestDispatcher(EcHelper.HOME_PAGE).forward(request, response);

		} catch (Exception e) {
			e.printStackTrace();
			session.setAttribute("erMsg", e.toString());
		}
	}
}

Project/src/ec/ItemDetailServlet.java
package ec;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.ItemDataBeans;
import dao.EcItemDAO;

/**
 * Servlet implementation class ItemDetailServlet
 */
@WebServlet("/ItemDetailServlet")
public class ItemDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public ItemDetailServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession session = request.getSession();
		try {
			//選択された商品のIDを型変換し利用　String型をIntに変換
			int id = Integer.parseInt(request.getParameter("item_id"));
			//戻るページ表示用　String型をIntに変換
			int pageNum = Integer
					.parseInt(request.getParameter("page_num") == null ? "1" : request.getParameter("page_num"));
			//対象のアイテム情報を取得
			ItemDataBeans item = EcItemDAO.getItemId(id);
			//リクエストパラメーターにセット
			request.setAttribute("item", item);
			request.setAttribute("pageNum", pageNum);

			//閲覧履歴を取得
			ArrayList<ItemDataBeans> browsing = (ArrayList<ItemDataBeans>) session.getAttribute("browsing");

			//セッション閲覧履歴がない場合閲覧履歴を作成
			if (browsing == null) {
				browsing = new ArrayList<ItemDataBeans>();
			}
			//閲覧履歴に商品を追加
				browsing.add(item);

			//閲覧履歴の情報更新
			session.setAttribute("browsing", browsing);
			request.getRequestDispatcher(EcHelper.ITEM_DETAIL_PAGE).forward(request, response);
		} catch (Exception e) {
			e.printStackTrace();
			session.setAttribute("errorMessage", e.toString());
		}
	}
}

Project/src/ec/ItemSearchResultServlet.java
package ec;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.ItemDataBeans;
import dao.EcItemDAO;

/**
 * Servlet implementation class ItemSearchResultServlet
 */
@WebServlet("/ItemSearchResultServlet")
public class ItemSearchResultServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	//１ページに表示する商品数
	final static int PAGE_MAX_ITEM_COUNT = 8;

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession session = request.getSession();
		try {

			String searchWord = request.getParameter("search_word");
			//表示ページ番号が未指定の場合１ページ目を表示　三項演算子を使用
			int pageNum = Integer
					.parseInt(request.getParameter("page_num") == null ? "1" : request.getParameter("page_num"));
			//検索されたキーワードをセッションに格納する
			session.setAttribute("searchWord", searchWord);

			//商品リストを取得ページ表示分のみ
			ArrayList<ItemDataBeans> searchResultItemList = EcItemDAO.getItemName(searchWord, pageNum,
					PAGE_MAX_ITEM_COUNT);

			//検索ワードに対しての総ページ数を取得
			double itemCount = EcItemDAO.getItemCount(searchWord);
			int pageMax = (int) Math.ceil(itemCount / PAGE_MAX_ITEM_COUNT);

			//総アイテム数
			request.setAttribute("itemCount", (int) itemCount);
			//総ページ数
			request.setAttribute("pageMax", pageMax);
			//表示ページ
			request.setAttribute("pageNum", pageNum);
			request.setAttribute("itemList", searchResultItemList);

			//閲覧履歴を取得
			ArrayList<ItemDataBeans> browsing = (ArrayList<ItemDataBeans>) session.getAttribute("browsing");

			//セッション閲覧履歴がない場合閲覧履歴を作成
			if (browsing == null) {
				browsing = new ArrayList<ItemDataBeans>();
				session.setAttribute("detail", browsing);
			}

			request.getRequestDispatcher(EcHelper.ITEM_SEARCH_RESULT_PAGE).forward(request, response);
		} catch (Exception e) {
			e.printStackTrace();
			session.setAttribute("errorMessage", e.toString());
		}
	}
}

Project/src/ec/LoginServlet.java
package ec;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.EcUserDAO;

/**
 * Servlet implementation class LoginServlet
 * ログイン画面
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public LoginServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession session = request.getSession();

		//ログイン失敗時
		String inputLoginId = session.getAttribute("loginId") != null
				? (String) EcHelper.cutSessionAttribute(session, "loginId")
				: "";
		String loginErrorMessage = (String) EcHelper.cutSessionAttribute(session, "loginErrorMessage");

		request.setAttribute("inputLoginId", inputLoginId);
		request.setAttribute("loginErrorMessage", loginErrorMessage);

		request.getRequestDispatcher(EcHelper.LOGIN_PAGE).forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		HttpSession session = request.getSession();
		try {
			//パラメーターから取得
			String loginId = request.getParameter("login_id");
			String password = request.getParameter("password");

			//ユーザーIDを取得
			int userId = EcUserDAO.getUserId(loginId, password);

			//ユーザーIDが取得できたなら
			if (userId != 0) {
				session.setAttribute("isLogin", true);
				session.setAttribute("userId", userId);
				//ログイン前のページを取得
				String returnStrUrl = (String) EcHelper.cutSessionAttribute(session, "returnStrUrl");
				//ログイン前ページにリダイレクト。指定がない場合Homeへ
				response.sendRedirect(returnStrUrl!= null?returnStrUrl : "HomeServlet");
			} else {
				session.setAttribute("loginId", loginId);
				session.setAttribute("loginErrorMessage", "入力内容が正しくありません");
				response.sendRedirect("LoginServlet");
			}
		} catch (Exception e) {
			e.printStackTrace();
			session.setAttribute("errorMessage", e.toString());

		}
	}
}

Project/src/ec/LogoutServlet.java
package ec;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * Servlet implementation class LogoutServlet
 */
@WebServlet("/LogoutServlet")
public class LogoutServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public LogoutServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * ログアウト画面
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession session = request.getSession();
		session.setAttribute("isLogin", false);
		session.removeAttribute("userId");
		session.removeAttribute("browsing");
		request.getRequestDispatcher(EcHelper.LOGOUT_PAGE).forward(request, response);

	}

}

Project/src/ec/ShoppingBuyServlet.java
package ec;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.BuyDataBeans;
import beans.DeliveryMethodDataBeans;
import beans.ItemDataBeans;
import dao.DeliveryMethodDAO;

/**
 * Servlet implementation class ShoppingBuyServlet
 */
@WebServlet("/ShoppingBuyServlet")
public class ShoppingBuyServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public ShoppingBuyServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession session = request.getSession();
		try {
			//選択された配送方法のIDを取得
			int inputDeliveryMethodId = Integer.parseInt(request.getParameter("delivery_method_id"));
			//選択されたIDを元に配送方法のBeansを取得
			DeliveryMethodDataBeans userSelectDMB = DeliveryMethodDAO.getDeliveryMethodDataById(inputDeliveryMethodId);
			//買い物かご
			ArrayList<ItemDataBeans> cartIDBList = (ArrayList<ItemDataBeans>) session.getAttribute("cart");
			//合計金額
			int totalPrice = EcHelper.getTotalItemPrice(cartIDBList);
			totalPrice += userSelectDMB.getPrice();

			BuyDataBeans bdb = new BuyDataBeans();
			bdb.setUserId((int) session.getAttribute("userId"));
			bdb.setTotalPrice(totalPrice);
			bdb.setDeliveryMethodId(userSelectDMB.getId());
			bdb.setDeliveryMethodName(userSelectDMB.getName());
			bdb.setDeliveryMethodPrice(userSelectDMB.getPrice());

			//購入確定で使用
			session.setAttribute("bdb", bdb);
			request.getRequestDispatcher(EcHelper.SHOPPING_BUY_PAGE).forward(request, response);

		} catch (Exception e) {
			e.printStackTrace();
			session.setAttribute("errorMessage", e.toString());
		}
	}
}

Project/src/manager/ItemMasterDetailServlet.java
package manager;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.ItemDataBeans;
import beans.LoginManagerBeans;
import dao.ItemDAO;

/**
 * Servlet implementation class ItemMasterDetailServlet
 */
@WebServlet("/ItemMasterDetailServlet")
public class ItemMasterDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public ItemMasterDetailServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession session = request.getSession();
		LoginManagerBeans user = (LoginManagerBeans) session.getAttribute("loginManager");
		if (user == null) {
			response.sendRedirect("LoginManagerServlet");
			return;
		}
		
		request.setCharacterEncoding("UTF-8");
		
		String id = request.getParameter("id");

		ItemDAO itemDao = new ItemDAO();
		ItemDataBeans item = itemDao.itemDetail(id);

		request.setAttribute("item", item);

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/itemMasterDetail.jsp");
		dispatcher.forward(request, response);
	}

}

Project/WebContent/WEB-INF/jsp/shoppingBuy.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>購入確認</title>
<!DOCTYPE html>
<meta charset="UTF-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport"
	content="width=device-width, initial-scale=1, maximum-scale=1.0" />
<!-- CSS  -->
<link rel="stylesheet"
	href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
	rel="stylesheet">
<link href="Materialize/css/materialize.css" type="text/css"
	rel="stylesheet" media="screen,projection" />
<link href="Materialize/css/style.css" type="text/css" rel="stylesheet"
	media="screen,projection" />
<!-- 共通独自CSS -->

</head>
<body>

	<!DOCTYPE html>
	<nav class="yellow darken-3" role="navigation">
		<div class="nav-wrapper container">
			<a id="logo-container" href="HomeServlet" class="brand-logo">himawari</a>
			<ul class="right">



				<li><a href="HomeServlet"><i class="material-icons">home</i></a></li>


				<li><a href="ShoppingCartServlet"><i class="material-icons">shopping_cart</i></a></li>


				<li><a href="LogoutSevlet"><i class="material-icons">exit_to_app</i></a></li>

			</ul>
		</div>
	</nav>
	<br>
	<br>
	<div class="container">
		<div class="row center">
			<h4 class=" col s12 light">購入</h4>
		</div>
		<div class="row">
			<div class="section"></div>
			<div class="col s12">
				<div class="card grey lighten-5">
					<div class="card-content">
						<div class="row">
							<table class="bordered">
								<thead>
									<tr>
										<th class="center">商品名</th>
										<th class="center">単価</th>
										<th class="center">小計</th>
									</tr>
								</thead>
								<tbody>
									<c:forEach var="cartInItem" items="${cart}">
										<tr>
											<td class="center">${cartInItem.name}</td>
											<td class="center">${cartInItem.price}円(税別)</td>
											<td class="center">${cartInItem.includePrice}円(税込)</td>
										</tr>
									</c:forEach>
									<tr>

										<td class="center">${bdb.deliveryMethodName}</td>
										<td class="center"></td>
										<td class="center">${bdb.includeDeliveryMethodPrice}円(税込)</td>
									</tr>
									<tr>
										<td class="center"></td>
										<td class="center">合計</td>
										<td class="center">${bdb.formatTotalPrice}円(税込)</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="row">
							<div class="col s12">
								<form action="ShoppingResultServlet" method="post">
									<button
										class="btn brown  waves-effect waves-light  col s4 offset-s4"
										type="submit">購入する</button>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col s8 offset-s2 ">
			<p class="right-align">
				<a href="ShoppingConfirmServlet">戻る</a>
			</p>
		</div>
	</div>

	<!DOCTYPE html>
	<footer class="page-footer yellow darken-3">
		<div class="container">
			<div class="right-align">Made by himawari</div>
		</div>
	</footer>




</body>
</html>

Project/WebContent/WEB-INF/jsp/userData.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>会員情報</title>
<!DOCTYPE html>
<meta charset="UTF-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport"
	content="width=device-width, initial-scale=1, maximum-scale=1.0" />
<!-- CSS  -->
<link rel="stylesheet"
	href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
	rel="stylesheet">
<link href="Materialize/css/materialize.css" type="text/css"
	rel="stylesheet" media="screen,projection" />
<link href="Materialize/css/style.css" type="text/css" rel="stylesheet"
	media="screen,projection" />
<!-- 共通独自CSS -->

</head>
<body>

	<!DOCTYPE html>
	<nav class="yellow darken-3" role="navigation">
		<div class="nav-wrapper container">
			<a id="logo-container" href="HomeServlet" class="brand-logo">himawari</a>
			<ul class="right">



				<li><a href="HomeServlet"><i class="material-icons">home</i></a></li>


				<li><a href="ShoppingCartServlet"><i class="material-icons">local_grocery_store</i></a></li>


				<li><a href="LogoutServlet"><i class="material-icons">exit_to_app</i></a></li>

			</ul>
		</div>
	</nav>
	<br>
	<br>
	<div class="container">
		<div class="row center">
			<h4 class=" col s12 light">会員情報</h4>
		</div>
		<div class="row">
			<div class="col s12">
				<div class="card grey lighten-5">
					<div class="card-content">
						<form action="UserDataUpdateServlet" method="POST">
							<c:if test="${message != null}">
								<p class="red-text center-align">${message}</p>
							</c:if>
							<br> <br>
							<div class="row">
								<div class="input-field col s6">
									<input type="text" name="name" value="${lmb.name}">
									<label>名前</label>
								</div>
								<div class="input-field col s6">
									<input type="text" name="login_id" value="${lmb.loginId}">
									<label>ログインID</label>
								</div>
							</div>
							<div class="row">
								<div class="input-field col s3">
									<input type="text" name="postalCode" value="${lmb.postalCode}">
									<label>郵便番号</label>
								</div>
								<div class="input-field col s9">
									<input type="text" name="address" value="${lmb.address}">
									<label>住所</label>
								</div>
							</div>
							<div class="row">
								<div class="input-field col s6">
									<input type="text" name="phoneNumber" value="${lmb.phoneNumber}">
									<label>電話番号</label>
								</div>
								<div class="input-field col s6">
									<input type="date" name="birthDate" value="${lmb.birthDate}">
									<label>生年月日</label>
								</div>
							</div>
							<div class="row">
								<div class="input-field col s6">
									<input type="password" name="password1" value="${lmb.password}">
									<label>パスワード</label>
								</div>
								<div class="input-field col s6">
									<input type="password" name="password2" value="${lmb.password}">
									<label>パスワード（確認）</label>
								</div>
							</div>
							<div class="row">
								<div class="col s12">
									<button
										class="btn brown  waves-effect waves-light  col s4 offset-s4"
										type="submit" name="action">更新</button>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
		<!--  購入履歴 -->
		<div class="row">
			<div class="col s12">
				<div class="card grey lighten-5">
					<div class="card-content">
						<table class="bordered">
							<thead>
								<tr>
									<th style="width: 10%"></th>
									<th class="center">購入日時</th>
									<th class="center">配送方法</th>
									<th class="center">購入金額（合計）</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach var="bdb" items="${bdb}">
									<tr>
										<td class="center"><a
											href="UserBuyHistoryDetailServlet?buy_id=${bdb.id}"
											class="btn-floating btn waves-effect waves-light "> <i
												class="material-icons">details</i></a></td>
										<td class="center">${bdb.formatDate}</td>
										<td class="center">${bdb.deliveryMethodName}</td>
										<td class="center">${bdb.formatTotalPrice}円(税込)</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col s8 offset-s2 ">
			<p class="right-align">
				<a href="UserDataServlet">トップへ</a>
			</p>
		</div>
	</div>
	<!DOCTYPE html>
	<footer class="page-footer yellow darken-3">
		<div class="container">
			<div class="right-align">Made by himawari</div>
		</div>
	</footer>
</body>
</html>